sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
0e67d0268e755127d8eac0f4f3b65e857b3d8e5dc5ab10c2b6b04b181178b17d | Shell | 1,023 | 28 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/... |
b6faf43e9f01aa3d39d24f5fdb7e7f92b3e8a98d3fbd0104f619ec503cb61e85 | Shell | 1,023 | 32 | #!/bin/bash
# conda create -y -n $1 python=3.12
# conda activate $1
# install pytorch
conda install pytorch==2.4.1 torchvision==0.19.1 torchaudio==2.4.1 pytorch-cuda=12.1 -c pytorch -c nvidia
# install dgl
conda install -y -c dglteam/label/th24_cu121 dgl
# install pyg
pip install torch_geometric
pip install pyg_li... |
9fcd5d6fea573c91568424dc5979e1d57cf3f09c9d2d53d707922f0422307cf7 | Shell | 1,025 | 29 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/... |
0cb2e3fa17c8602f698d461cf2d4de1aecb192b570d9a9d27ed29517d585dbc8 | Shell | 1,028 | 26 | ### Demultiplexing, basecalling
for dir in RawSeqData/*/
do
dir1=${dir%*/} # remove the trailing "/"
base1=${dir1##*/} # print everything after the final "/" >>>> This is the run number
~/ont-guppy/bin/guppy_basecaller -i RawSeqData/${base1}/fast5/ -s RawSeqData/${base1}/ --flowcell FLO-MIN106 --kit SQK-PCB109... |
82b165a0e9a2eb99212f4ce223512a308b4f88251a971b1c24aff228affb5fe1 | Shell | 1,029 | 38 | #!/bin/bash
in_volume=$1
in_sphere=$2
vol_template=$3
surf_transform=$4
out_dof=$5
out_sphere=$6
mirtk=$7
wb_command=$8
out_doftxt=$(echo $out_dof | sed 's/\.dof/\.txt/g')
echo newnames $out_dof $out_doftxt $intermediate_sphere
echo mirtk register $vol_template $in_volume -model Rigid -sim NMI -bins 64 -dofout $ou... |
23409625af2b364a977529fb3d3763fe62cf9113f597447a92e2e5bba3a321c3 | Shell | 1,034 | 63 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
#OUTPUT="e:/data/user/yu-ting/histology"
OUTPUT="/Users/yuting/analysis/histology"
LOGFILE="$OUTPUT/hist.log"
ANIMAL="YW043,YW051,YW063,YW064"
export NO_COLOR=1
# Redirect all script output (stdout and stderr) to the log file
exec > >(tee -a "$LOGFILE") 2>... |
8c197ba6bb7db5036e281c1ee4f7f1fc981962087529ceb0e029719b73977a49 | Shell | 1,034 | 25 | #!/bin/bash
# This is a script example to automatically update and upload performance unit tests.
# The following five variables must be adjusted to match your settings.
USER='ggael'
UPLOAD_DIR=perf_monitoring/ggaelmacbook26
EIGEN_SOURCE_PATH=$HOME/Eigen/eigen
export PREFIX="haswell-fma"
export CXX_FLAGS="-m... |
7766a5a032b9d002d16969a631e4e05a8a9f6c8fc8e4ec3ae176bd27596fb326 | Shell | 1,038 | 38 | #!/bin/sh
#
# [description]
# Update files in source control based on the content of 'VERSION.txt'.
#
# [usage]
#
# update-version.sh
set -e -u
LGB_VERSION=$(head -1 ./VERSION.txt)
LGB_VERSION_NO_RC=$(echo "${LGB_VERSION}" | sed 's/rc/-/g')
# in-place 'sed' that's compatible with GNU sed and BSD sed (the one... |
de7bad0c7c8f4a7f907aed219430f65fa132a147033e698124ce7cd24e6d98e9 | Shell | 1,042 | 26 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/... |
f1d67938a696f9575226e0c6f28fd2e5bb92a32a135fdc251d268ee27f7ed60b | Shell | 1,044 | 30 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
mkdir -p $BASE/models/$RUNNAME/fold0/metrics
cd /home/users/surag/kundajelab/retina-models/src
for x in `ls $BASE/bigwigs`
do
n=$(basena... |
14e69383802e71accc72f9f9036ea1844c43f9f106f8ff165e621043adbdad90 | Shell | 1,045 | 29 | # Submits multiple jobs running gen_fasta_consensus_job_script.sh in parallel, splitting up the task into multiple jobs to get it done faster
script_dir="$(dirname "${BASH_SOURCE[0]}")"
echo script path $script_dir
log_dir=$script_dir/../../logs/gen_fasta_consensus
bcf_in=$1 #absolute path to BCF file containing WGS ... |
90713e79ed60616093dd7ee194514282a81f3054772e3e5bb0c5750076ffc797 | Shell | 1,045 | 38 | #!/usr/bin/env bash
# Functions
function err() { cat <<< "$@" 1>&2; }
function fatal() { err "$@"; exit 1; }
function abspath() { readlink -e "$1"; }
function retry() {
# Tries to run a cmd 5 times before failing
# If a command is successful, it will break out of attempt loop
# Failed attempts are padding with... |
eb8b86f3414c77973e40e8100d30d9a37fe604baeac3650f4d9f1ef4787745d9 | Shell | 1,046 | 34 | #!/bin/bash -ve
if [ ! -e genome.fasta ]; then
gunzip -c genome.fasta.gz > genome.fasta
fi
if [ ! -e pasa_assemblies.fasta ]; then
gunzip -c pasa_assemblies.fasta.gz > pasa_assemblies.fasta
fi
if [ ! -e pasa_assemblies.gff3 ]; then
gunzip -c pasa_assemblies.gff3.gz > pasa_assemblies.gff3
fi
if [ ! -e pa... |
12c3085a23f443ba2204147df3f32bb6fe5d0b2564b859559ecaa1c2239ef32b | Shell | 1,047 | 34 |
#!/bin/bash
source /cbica/projects/luo_wm_dev/miniconda3/etc/profile.d/conda.sh
conda activate babs
########################
# PNC - act-hsvs
########################
cd /cbica/projects/luo_wm_dev/input/PNC/derivatives/babs_qsirecon_pyafq_act_v2
# after test job finishes successfully:
babs-submit --project-root $PW... |
96db17ee18b417cb79146be81e4f8894ef00a09d665686164d04ef282814b5f0 | Shell | 1,047 | 32 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/sl... |
094b011a402271e83d2c1edcb2b2f0051b68fbe2ecd3354b99be2af23bf08ee1 | Shell | 1,051 | 30 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
mkdir -p $BASE/models/$RUNNAME/fold1/metrics
cd /home/users/surag/kundajelab/retina-models/src
for x in `ls $BASE/bigwigs`
do
n=$(basena... |
bad1df0344fc4fd7a4cdda35665858d691300660e02536f02c3949cdd5d40396 | Shell | 1,053 | 82 | #! /bin/bash
set -e
cd ../..
if [ $# -eq 0 ]; then
echo "$0 animal_id?"
exit 1
else
ANIMAL=$1
fi
#OUTPUT="e:/data/user/yu-ting/histology"
OUTPUT="$HOME/data/analysis/hist"
OUTPUT_FILE="$OUTPUT/${ANIMAL}/cli.log"
export NO_COLOR=1
exec > >(tee -a "$OUTPUT_FILE") 2>&1
##
run_hist() {
local a=$1
shift 1
... |
8d33f81acc7a4a63b8d69beb14768f6c2248ac4fd3d030de729251fce6934c83 | Shell | 1,056 | 42 | #! /bin/bash
#
# This is a shell script to register GRE image to T1w image
#
# Dependencies: (1)ANTs
#
# Creator: Kwok-shing Chan @DCCN
# kwokshing.chan@donders.ru.nl
# Date created: 6 October 2022
# Date edit:
############################################################
script_dir=`readlink -f "$0"`
SEPIA_HOME=`dirna... |
db93c234bcc4db71089e7db5becb78cd9326344e2176ca407bb3e7d2ec77445c | Shell | 1,059 | 18 | #!/bin/bash
#Uncomment the line below with the correct replica indices
#Change PROT to match your system
PROT=cTEMPPROT
traj=( s1 s2 )
for i in ${traj[@]}; do
cd ${i}${PROT}
#trjcat_mpi -f ${i}${PROT}_10.trr ${i}${PROT}_11.trr ${i}${PROT}_12.trr ${i}${PROT}_13.trr ${i}${PROT}_14.trr -cat -o ../${i}${PROT}_a... |
16126817afe180f3d23d7f92edfe377593581112ff66cc0d928c39c99b62362a | Shell | 1,060 | 25 | #!/bin/bash
#SBATCH -J humann2_renorm
#SBATCH -A b1057
#SBATCH --mail-type=ALL
#SBATCH --mail-user=elizabeth.mallott@northwestern.edu
#SBATCH -N 1
#SBATCH -n 1
#SBATCH --mem=12G
#SBATCH -t 12:00:00
#SBATCH --output=/home/ekm9460/humann2_renorm.out
#SBATCH --error=/home/ekm9460/humann2_renorm.err
#SBATCH -p b1057
modu... |
d53fe839ca95e2b992e54abfa7f7a964f2edae76ddfe517460e6ba93550590f0 | Shell | 1,060 | 30 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
mkdir -p $BASE/models/$RUNNAME/fold2/metrics
cd /home/users/surag/kundajelab/retina-models/src
for x in `ls $BASE/bigwigs`
do
n=$(basena... |
4f6fc46433eb63a524ec551412b3ed844288dc7f67cbbe572e159082f3be7125 | Shell | 1,061 | 45 | #!/bin/bash
black='\E[30m'
red='\E[31m'
green='\E[32m'
yellow='\E[33m'
blue='\E[34m'
magenta='\E[35m'
cyan='\E[36m'
white='\E[37m'
if [ -f $2 ]; then
data=$2
if [ -f $1.summ ]; then rm $1.summ; fi
if [ -f $1.snap ]; then rm $1.snap; fi
else
data=$1
fi
if ! ./$1 < $data > /dev/null 2> .runt... |
671105bbad4342e4bd4afe61fcb6894bf42be7c96359589ee7f49a2705cf1aca | Shell | 1,061 | 36 | #!/bin/bash -l
#SBATCH -J batch_export_optimized_extended_EIANN_fmnist
#SBATCH -o /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_extended_EIANN_fmnist.%j.o
#SBATCH -e /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_extended_EIANN_fmnist.%j.e
#SBATCH -p normal
#SBATCH -N 1
#SBATCH -n 12
#SBATCH -t... |
388be9ba7b2e471f1fb2c34c59d6a8c114b940dba0dd0fd4af5819efc92c2065 | Shell | 1,063 | 35 | #!/bin/bash
#SBATCH --time=00:10:00
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --job-name=gnn_eve_pars_model_train_diffpool_reg_start
#SBATCH --output=logs/gnn_eve_pars_model_train_diffpool_reg_start-%j.log
#SBATCH --mem=500MB
#SBATCH --partition=regular
if [ "$#" -ne 1 ]; then
echo "Usage: $0 <name>"
exit 1... |
5047c4c5ec76add62ab2467cc0e2da2b5701bfb9b2b28013fcc0e0138882581a | Shell | 1,068 | 30 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
mkdir -p $BASE/models/$RUNNAME/fold4/metrics
cd /home/users/surag/kundajelab/retina-models/src
for x in `ls $BASE/bigwigs`
do
n=$(basena... |
1f47c77507ae5fadea152dc3fe771dae599c65f8cd98ef7be28e8765595ac771 | Shell | 1,070 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
c6fb4a513c00d521967411a63de81bd93e51be65004e29ecb04b84762ea139ce | Shell | 1,070 | 30 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
mkdir -p $BASE/models/$RUNNAME/fold3/metrics
cd /home/users/surag/kundajelab/retina-models/src
for x in `ls $BASE/bigwigs`
do
n=$(basena... |
9691fa1901cd94d82046e8a36467824b7c43518e651734719b2cc4aeff10e514 | Shell | 1,072 | 31 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/sl... |
1e937a91dc8481d7c8eea2e92a5e065df6444d13fdbc0b68c0710ce9f6fe2eec | Shell | 1,073 | 34 | #!/bin/bash
# Pad DWI to ensure have odd number in Z dimension
process_subject() {
DWI_PATH=$1
DWI_BVEC=$2
DWI_BVAL=$3
DWI_JSON=$4
OUTPUT_DWI=$5
Nz=$(fslval "$DWI_PATH" dim3)
if [ $((Nz % 2)) -eq 1 ]; then
echo "Z dimension ($Nz) is odd. Removing the bottom slice..."
OUTP... |
abde78c192301e6b00711c94b904c67cd67d1f366cbceb0fe278fe14523854c3 | Shell | 1,073 | 37 | #!/bin/bash
# set variables
datasets=("HCPD" "HBN")
scalars=("icvf")
r_script="/cbica/projects/luo_wm_dev/two_axes/code/significance_testing/NEST/deep_to_superficial/noddi/NEST_wrapper_clipEnds_noddi.R"
tract_list="/cbica/projects/luo_wm_dev/input/tract_list/tract_list.txt"
inputarray=()
while IFS= read -r line; do... |
ab685d89c9135914785b731e562480af1939684837a022c2da635a63567242fe | Shell | 1,074 | 39 | #!/bin/sh
#
# Copyright 2011, Ben Langmead <langmea@cs.jhu.edu>
#
# This file is part of Bowtie 2.
#
# Bowtie 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your o... |
7d74c2503dd8b973d08e0be3a88d6d93940c941732c22952dd8413f7ce81bbb2 | Shell | 1,075 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
b571403765fa6328dbb1a632149e0cdccbea68cae3d838ec889b4fd5c69eb405 | Shell | 1,075 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
c5430aad771434f46f37f0704c739109e4a9065bb8a8935d2eb60f1549ce27ef | Shell | 1,075 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
60f115ff3160594e687a4b01240bd9c00a8b2f19c47533501ff5b69a3bcaf828 | Shell | 1,077 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
a4d37024f8628737dc960546c32342666dc6a54b303251e28e6279df5e567e78 | Shell | 1,077 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
7f1295ba25591037e6dcd50410643117dadbb985b207e5d430f187de4f5a8025 | Shell | 1,078 | 36 | #!/bin/bash
# set variables
datasets=("HCPD" "HBN")
scalars=("RTOP")
r_script="/cbica/projects/luo_wm_dev/two_axes/code/significance_testing/NEST/deep_to_superficial/mapmri/NEST_wrapper_clipEnds_mapmri.R"
tract_list="/cbica/projects/luo_wm_dev/input/tract_list/tract_list.txt"
inputarray=()
while IFS= read -r line; d... |
27d8967ca8cdb47e5f6db79eac4de826eb6f04bbcf4c35042f78b8e89f88cdce | Shell | 1,079 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
47a0779ca9c4cdaac5f744eafbd17d6f835b20efc9b56bb186c780e556710845 | Shell | 1,079 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
7fa4db883cf09b61b946950aadff4d24bc77f4fbe30af829f6cc9826341b549a | Shell | 1,079 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
bc1b929a15e67492a311326b27cc1f000378f513eb3bea7397b44e2ed20ea92f | Shell | 1,079 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
40a04e9d8f8b337ff09e07d52416bdc5fb9fe6823917f7471bf5aeaabcd606c6 | Shell | 1,081 | 28 | # $bids_input and $participants should be defined
# in the script that calls this one or as environment
# variables specified before running the script
# Define output directory
output="$bids_input"/derivatives/predictions/"$teamname"
# Iterate through all evaluation data
# and run src/inference.sh script on each
# s... |
9fb492f21d53408296d43d7fab798db4b1e267808fb4f73e520f71f70dd95f07 | Shell | 1,081 | 35 | #!/bin/bash
set -e
set -o pipefail
set -u
# Converts a set of bams to + and - strand 5' end bigwigs used for training BPNet
# make sure to give a prefix, final files are named ${OUTPREFIX}.bw
OUTPREFIX=$1 # e.g. /path/to/dir/prefix
REFCHROMSZ=$2 # e.g. /path/to/genome.sizes.txt
INFRAG=$3 # frag file
if ! [ -x "$(co... |
b0282cd65410f12cb9acd8209334b143303ec87a1ce1f2d6783911cc5a34ed58 | Shell | 1,081 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
fd8744be9c14af6160db20ad3f1d3a79e341143a11faf897e867c8c7734db838 | Shell | 1,081 | 33 | #!/bin/bash
if [ "$#" -ne 3 ]; then
echo "Missing Argument!"
echo "Usage:"
echo " $0 database info_string csv_folder"
exit 1
fi
database="$1"
if [ ! -f $database ]; then
echo "Create new database..."
sqlite3 -batch $1 <<EOF
create table siminfo (path TEXT, info TEXT);
create table cellinfo (simid INT, time ... |
1da0bfe6ea77b99ce144547cd790a9834fa30831013634b498ff16fbdecdd917 | Shell | 1,082 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
2b323f36c5fe5cf18ddb7cbee5c0770a506dc45e90ac94eee4e6ba84266725c8 | Shell | 1,082 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
8dfbe8dbd028ba52490c06c96510d7f6c33c9b0dcfb6809bbe02edc94eae8ff5 | Shell | 1,082 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
0e16cbbfecc8b6fee0b4404672e6b5152078b830d782b85f2de5002c9ac0203e | Shell | 1,083 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
6a67cbf9622528e2e37e676937b5d083c1292709212f34d3613ad2f1edfbf758 | Shell | 1,083 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
84ff379fc6ea8898765b7219819a83cf8b1cf5173cb6ed187d6c99cf90c47a77 | Shell | 1,085 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
d9a438f134231e422967657de10a047f37b6dd3346499770bb5c2db356b7e1fd | Shell | 1,086 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
049442386b904a1cdcf09c2b450e6c2ef63b30c57a1922e69884c985e2a7b4c3 | Shell | 1,087 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
a5984dd0623868e1a31059ac2f078521ebea7b02666724e48e6c3bb20916f380 | Shell | 1,087 | 34 | #!/usr/bin/env bash
set -euo pipefail # Will fail on error
# ==============
# How to run this script
# 1) Load the input data
# https://scilpy.readthedocs.io/en/latest/documentation/getting_started.html
# 2) Call this script with
# ---> bash btensor_metrics.sh path/to/your/data path/to/save/outputs... |
2805744db0b86e8bbb4f99b42799bd8d7481708ef449f0e348b69d1db4e7c796 | Shell | 1,088 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
333f065480906cdbc7634ffc6caecd14c6cbc3186513c0fb95fd1db2821266e9 | Shell | 1,088 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
e53f0d4e191e6c6efa6692851868328ab1df33e7e8bd627dca8f99fe955e6d04 | Shell | 1,088 | 40 | #!/usr/bin/env bash
set -euo pipefail
BUILD_DIR="build"
PYTHON="python3"
if [[ "${1:-}" == "--clean" ]]; then
echo "[INFO] Cleaning build..."
rm -rf "${BUILD_DIR}"
fi
PYBIND11_DIR=$("${PYTHON}" -c 'import pybind11; print(pybind11.get_cmake_dir())')
echo "[INFO] Getting project version..."
PROJECT_VERSION=$(... |
31aaabdfb529ba7824771619c1a12bb5c095d1207da5aa6d78f908ba8d7964d7 | Shell | 1,089 | 26 | #!/bin/bash
# set variables
datasets=("HCPD" "HBN")
scalars=("icvf")
r_script="/cbica/projects/luo_wm_dev/two_axes/code/fit_GAMs/noddi/fit_GAMs_development_noddi.R"
# loop through each dataset and scalar
for dataset in "${datasets[@]}"; do
config_file="/cbica/projects/luo_wm_dev/two_axes/code/config/config_${datas... |
5ccaacd740ee5eed1fe4c7507e9ecea24a753614e6a12b59183c6815faac99d7 | Shell | 1,089 | 41 | #!/bin/bash
#SBATCH --time=00:10:00
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --job-name=gnn_training_start
#SBATCH --output=logs/gnn_training_start-%j.log
#SBATCH --mem=500MB
#SBATCH --partition=short
ml Python/3.8.16-GCCcore-11.2.0
source $HOME/venvs/eve/bin/activate
# Check if the correct number of arguments is... |
5b68501f4c2ecc8f799a92710fdb5c02b137a0779784e4937dd8f9527087077c | Shell | 1,090 | 42 | #!/bin/bash
# helper file for RVC snakemake rule changeHeader
# 1 {input.bam}
# 2 {input.bai}
# 3 {params.ref}
# 4 {params.known_sites}
# 5 {params.ucsc2ncbi}
# 6 {params.ncbi2ucsc}
# 7 {log}
# 8 {resources.tmpdir}
# 9 {output.bqsr_table}
input_vcf=$1
repeat_mask=$2
ref=$3
tmpdir=$4
log=$5
output_vcf=$6
tmp_bed=$(m... |
38d5467392fd5d0f479aebadcea81d9bbdf17bd2463506c00c014ced90b108d9 | Shell | 1,091 | 26 | #!/bin/bash
# set variables
datasets=("HCPD" "HBN")
scalars=("RTOP")
r_script="/cbica/projects/luo_wm_dev/two_axes/code/fit_GAMs/mapmri/fit_GAMs_development_mapmri.R"
# loop through each dataset and scalar
for dataset in "${datasets[@]}"; do
config_file="/cbica/projects/luo_wm_dev/two_axes/code/config/config_${dat... |
37e7e7bdb4803785e50be51393174d3ac6a64d80dceae51cbc9023c16989be16 | Shell | 1,092 | 37 | #!/bin/bash -l
#SBATCH -J simulate_EIANN_mnist_dev
#SBATCH -o /scratch1/06441/aaronmil/logs/EIANN/simulate_EIANN_mnist_dev.%j.o
#SBATCH -e /scratch1/06441/aaronmil/logs/EIANN/simulate_EIANN_mnist_dev.%j.e
#SBATCH -p development
#SBATCH -N 1
#SBATCH -n 12
#SBATCH -t 1:00:00
#SBATCH --mail-user=milstein@cabm.rutgers.edu
... |
5544ca0bec1cbf822cf65b4035bf3aa6e8169567d0e15077598d2a70ce6ca4c5 | Shell | 1,092 | 34 | #!/bin/bash -l
#SBATCH -J batch_export_optimized_extended_EIANN_fmnist
#SBATCH -o /ocean/projects/bio240068p/aaronmil/logs/EIANN/batch_export_optimized_extended_EIANN_fmnist.%j.o
#SBATCH -e /ocean/projects/bio240068p/aaronmil/logs/EIANN/batch_export_optimized_extended_EIANN_fmnist.%j.e
#SBATCH -p RM
#SBATCH -N 1
#SBATC... |
b082ce381bf73b77c9c150b1a1363827a6502c89f4709d8e1c593c939f58a4a6 | Shell | 1,093 | 46 | #!/bin/bash
local_dir="$1"
url="$2"
function get_filename_from_url() {
regexp='^([^\/]*\/)+'
echo -n "$1" | sed -r "s/$regexp//g"
}
function get_remote_file_size() {
curl -sI "$1" | grep Content-Length | grep -o '[0-9][0-9]*'
}
filename=$(get_filename_from_url "$url")
local_path="$local_dir/$filename"
remote_size=$... |
ccf758245c37b5ea0806506b384c6c50cbb2e5e0f1e5749b51b5c4cb3f6217af | Shell | 1,093 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
d64ffd631acdf650a94b13a7aaa37809226dfbf8e68ef325d564ad7ea653dc18 | Shell | 1,093 | 51 | #!/bin/bash
args=("$@")
max_tries=5
success=0
for ((i=1; i<=max_tries; i++)); do
echo ">>> Attempt $i running DRBUDDI_cuda..."
DRBUDDI_cuda "${args[@]}"
status=$?
if [ $status -eq 0 ]; then
echo ">>> DRBUDDI_cuda succeeded on attempt $i"
success=1
break
else
echo ... |
e8baf018a11f6092f93b962931b9ff74d82ea38f21c6b4b4961526980c7452a5 | Shell | 1,094 | 42 | #!/bin/bash
mkdir -p "$PREFIX/misc"
if [ $OSX_ARCH ]
then
cp -a "$RECIPE_DIR/../../misc/macOS/" "$PREFIX/misc/"
else
cp -a "$RECIPE_DIR/../../misc/linux/" "$PREFIX/misc/"
mv "$PREFIX/misc/linux/unpack_run_macular.sh" "$PREFIX/"
fi
if [[ -d build ]]; then
rm -rf build
fi
mkdir build
cd build
declare -a... |
eb58b5df873770c7168809ae82ccc67654cce0d7f47159746b4150f7991a7e76 | Shell | 1,095 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
15336854166f936880d99bd33e462f299ac628733753efb3e39a0e33e213647e | Shell | 1,096 | 32 | #!/bin/tcsh -xef
# Set paths for input and output folders
set inpath = path/to/tICA/melodic_IC/file
set outpath = path/to/output/directory
# Set the total number of components extracted
#(remember bricks start from 0, thus for 20 components, max_components will be 19)
set max_components = 19
# Set current directory ... |
16f538075424a429c5ed0ace2eb2b3f0c3030e89d2fe479341a822ab0cf0c43e | Shell | 1,096 | 32 | #!/bin/tcsh -xef
# Set paths for input and output folders
set inpath = path/to/tICA/melodic_IC/file
set outpath = path/to/output/directory
# Set the total number of components extracted
#(remember bricks start from 0, thus for 20 components, max_components will be 19)
set max_components = 19
# Set current directory ... |
6bae7d8bdc888b3812746dd72a8ef2af1d397361afb98de2af5eafbe4a24925b | Shell | 1,096 | 26 | #!/bin/bash
# set variables
datasets=("PNC" "HCPD" "HBN")
scalars=("dti_md")
r_script="/cbica/projects/luo_wm_dev/two_axes/code/fit_GAMs/fit_GAMs_development.R"
# loop through each multishell dataset and scalar
for dataset in "${datasets[@]}"; do
config_file="/cbica/projects/luo_wm_dev/two_axes/code/config/config_... |
b6abaf15ac1ea2a613d2fe6895242a33174f2e0ac2594d6daa7b9a971cc39908 | Shell | 1,096 | 37 | #!/bin/bash -l
#SBATCH -J batch_export_optimized_EIANN_cifar10
#SBATCH -o /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_cifar10.%j.o
#SBATCH -e /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_cifar10.%j.e
#SBATCH -p normal
#SBATCH -N 1
#SBATCH -n 18
#SBATCH -t 2:00:00
#SBATCH --mail-... |
e3bd6f969790e8a665f3d48defb27decae7305ddd9f714f9ab0621f52d93d8c1 | Shell | 1,096 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
1b48915b5981f2fa64c05fabfe30412c2d7288e4861f81362ec9c2bf205a3cc5 | Shell | 1,098 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
6a62ddd51758e7a7136099c40548eb433062431f29d2a3cf623a0f4d70abf242 | Shell | 1,099 | 46 | #!/bin/sh
#
# Downloads the sequence for a strain of e. coli from NCBI and builds a
# Bowtie index for it
#
GENOMES_MIRROR=ftp://ftp.ncbi.nlm.nih.gov/genomes
BOWTIE_BUILD_EXE=./bowtie2-build
if [ ! -x "$BOWTIE_BUILD_EXE" ] ; then
if ! which bowtie2-build ; then
echo "Could not find bowtie2-build in current direct... |
0811d17bac37dbf2ff0dae49788e6995e77f31c3b0d1afc4498c548b5bb2df9a | Shell | 1,101 | 49 | #!/bin/sh
#
# Downloads sequence and builds Bowtie index for for C. elegans
# versions WS200 from wormbase.
#
GENOMES_MIRROR=ftp://ftp.wormbase.org/pub/wormbase/species/c_elegans/sequence/genomic
BOWTIE_BUILD_EXE=./bowtie2-build
if [ ! -x "$BOWTIE_BUILD_EXE" ] ; then
if ! which bowtie2-build ; then
echo "Could no... |
c3a0798395c212da41be652f7707c1e77a2e5394e3a0de5ec055fdef7b66988c | Shell | 1,102 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
4c47a6b107788fa7bcb508ed348247beefd9ff5cdbcce8e747d9c71776b30bc7 | Shell | 1,103 | 56 | #! /bin/bash
set -e
pf_agg() {
local m=$1
shift 1
sleep 10
python -m rscvp.statistic.$m \
-D 210315,210401,210402,210409,210402,210407,210409,210416,210604,210610,210514,210519,211202,211209,211203,211208,211202,211208,221018,221019 \
-A YW006,YW006,YW006,YW006,YW008,YW008,YW008,YW008,YW010,YW010,YW017,Y... |
128417c2676f43fc8fe8be5dc8eaf421a588eb7a2488d85018bf52eab3034350 | Shell | 1,105 | 41 | #!/bin/bash
#SBATCH --time=00:10:00
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --job-name=gnn_training_start
#SBATCH --output=logs/gnn_training_start-%j.log
#SBATCH --mem=500MB
#SBATCH --partition=short
ml Python/3.8.16-GCCcore-11.2.0
source $HOME/venvs/eve/bin/activate
# Check if the correct number of arguments is... |
e60d5a72f8a576b96f12cef362a4c30c6b3e66d9bed19f435cfea8b99b6efa1d | Shell | 1,106 | 36 | #!/bin/sh
# script for execution of deployed applications
#
# Sets up the MATLAB Runtime environment for the current $ARCH and executes
# the specified command.
#
exe_name=$0
exe_dir=`dirname "$0"`
echo "------------------------------------------"
if [ "x$1" = "x" ]; then
echo Usage:
echo $0 \<deployedMCRroot\>... |
5cbe27471f17d0fb7b579b5d5f6f4298e8576ffbfcaa1e02170c9bb2cfb79308 | Shell | 1,110 | 53 | #!/usr/bin/env bash
# ========= fsl_anat_custom.sh =========
# Exit if FSL is not properly sourced
[ -z "$FSLDIR" ] && echo "error: FSL not sourced. Run 'source $FSLDIR/etc/fslconf/fsl.sh'" && exit 1
# Parse args
OUTPUT_PREFIX=""
ARGS=()
while [[ $# -gt 0 ]]; do
case "$1" in
-o|--o)
OUTPUT_P... |
e8b024f70579c54175131f8ca7af37a617adfd4013865c101b7647b52883c865 | Shell | 1,110 | 30 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slur... |
b85dfbcdf7a4b5775340326832c73c23d34a4f1edacf55fbe593473ec0850b7b | Shell | 1,118 | 26 | # export PATH=$PATH:/Users/karolis/Desktop/repos/MSM
subject=sub-LAM031
fs_dir=/media/miplab-nas2/Data/Karolis/huppi_high_res_resting/derivatives/freesurfer
# fs_dir=/media/miplab-nas2/Data/Karolis/high_res_resting/derivatives/freesurfer
ciftify_dir=/media/miplab-nas2/Data/Karolis/huppi_high_res_resting/derivatives/... |
f6ed9d1bc118ca1220dbdab26dd954d21b93ae06a8ba3fd379076ca2af024337 | Shell | 1,122 | 28 | #!/bin/sh
threshold=2
root=/mnt/c/Users/user/Documents/fMRI_EXP
analysis_dir_output=$root/Alon/subSpaceGener/fsl_normalization/groupStats
masks_dir=$analysis_dir_output/masks
mask_name=tStat_visual_sameStructSameStimMinusSameStructDiffStimT2_LOC_mask_L #tStat_projSameStr_allOthersT${threshold}_Subcallosal_mask
#mask_n... |
14feccbdc8a4d400a9902fff34c869863a771ecb9b339329f61b847ad6f1a34e | Shell | 1,123 | 31 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/train/... |
2a41728d4c27d1b356f1f62b02c3115a66e7ccb923ca013ac9e86da093a28ff1 | Shell | 1,123 | 29 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slur... |
c603f7b918a685b728e288c257e4132b14b35441abab81d6ca86252523035904 | Shell | 1,124 | 21 | [ -z "${MASTER_PORT}" ] && MASTER_PORT=10086
[ -z "${n_gpu}" ] && n_gpu=$(nvidia-smi -L | wc -l)
export NCCL_ASYNC_ERROR_HANDLING=1
export OMP_NUM_THREADS=1
run_name=bert_example
save_dir="./save/${run_name}"
mkdir -p ${save_dir}
torchrun --nproc_per_node=$MLP_WORKER_GPU --nnodes=$MLP_WORKER_NUM --node_rank=$MLP_ROLE... |
ccf97ab93f399467c185c6e93fa7e2a19b3492e121107065da6037c67693890a | Shell | 1,125 | 50 | #! /bin/bash
# aponteeduardo@gmail.com
# Copyright (C) 2017
set -e
DEBUGM=0
for i in "$@"
do
case $i in
-d|--debug)
DEBUGM=1
shift # past argument=value
;;
#-s=*|--searchpath=*)
#SEARCHPATH="${i#*=}"
#shift # past argument=value
#;;
esac
done
... |
4d1be1ce901d6f65c2f78e0a0ca57019981bdea476993f2139212b388e3e5e33 | Shell | 1,130 | 46 | #!/usr/bin/env bash
###############################################################
# Example script for running Sei variant effect prediction
# using Selene.
# Usage:
# sh 1_variant_effect_prediction.sh <vcf> <hg> <output-dir> [--cuda]
# Please only specify hg38 or hg19 as input for <hg>.
# --cuda is optional, use... |
a8a094b8a0ba38cc845fb589f3e3d1e0173aa6cf3d1bdd0aa1ee361a3d08fd08 | Shell | 1,131 | 29 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/ISM/slur... |
faf6ebc915991e356ec2707bbf6d5095c00b9a62f54b717cc1302e59f1e21dd0 | Shell | 1,131 | 47 | #!/bin/sh
#
# Downloads sequence for a S. cerevisiae from CYGD. This script
# was used to build the Bowtie index for S. cerevisiae.
#
GENOMES_MIRROR=ftp://ftpmips.gsf.de/yeast/sequences
BOWTIE_BUILD_EXE=./bowtie2-build
if [ ! -x "$BOWTIE_BUILD_EXE" ] ; then
if ! which bowtie2-build ; then
echo "Could not find b... |
415148b5eb3ad981bc658925e0069840c8232e4345a1229a38b0d720185612e7 | Shell | 1,137 | 60 | #!/bin/bash
set -e
set -x # Enable shell tracing
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
fi
# which machine
if [[ $(hostname) == "bkrunch-linux" ]]; then
OUTPUT="/scratch/data/user/yuting/analysis/phys"
elif [[ $(hostname) == "bkrunch2" ]]; then
OU... |
cfbafa426671d2163c40b9f97862a2d5a6e842bf102e5b57b6de5b54c80b1cf0 | Shell | 1,139 | 40 | #!/bin/bash
BUILD_DIR="build"
BIN_DIR="src/bin/"
# Ensure clean build dirs
rm -rf "$BUILD_DIR" "$BIN_DIR"
mkdir -p "$BUILD_DIR" "$BIN_DIR"
cd $BUILD_DIR
# Extract version from VCS (via hatch)
echo "[INFO] Getting project version..."
PROJECT_VERSION=$(hatch version)
export PROJECT_VERSION
echo " -> Version: $PROJECT_... |
cfd60514c7222e3e0201f54e0c504e9973bcb65ccd04b57a7e12672fe7955575 | Shell | 1,145 | 33 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
# make a copy of code run
mkdir -p $BASE/models/$RUNNAME/fold0/logs
mkdir -p $BASE/models/$RUNNAME/fold0/saved
cp -r /home/users/surag/kund... |
0e3c3ac8b950a00a3c852e94ab4167189c9548afe7e8fa8cfe896e736f6a9eb3 | Shell | 1,148 | 46 | #!/bin/bash
#SBATCH --account=def-rfm
#SBATCH --gres=gpu:1
#SBATCH --cpus-per-task=16
#SBATCH --mem=12G
# module load python/3.8 blender scipy-stack
source $SLURM_LIBDIR/init.sh
source $SLURM_LIBDIR/env/bin/activate
# $1 = dstfile
# $2, $3 = i1, i2 for val
# $4, $5 = i1, i2 for test
# $6 = batchfiles
export IMAGEDIR... |
20f7d4315717dd34054e9b9d3f60b79ab0e4093a1f97a1c6ab033ab326adc84b | Shell | 1,154 | 33 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
# make a copy of code run
mkdir -p $BASE/models/$RUNNAME/fold1/logs
mkdir -p $BASE/models/$RUNNAME/fold1/saved
cp -r /home/users/surag/kund... |
7242c776c2c0c4a90a354656c982944fd8b83541da3497097949b4c317daf8b5 | Shell | 1,155 | 55 | #! /bin/bash
set -e
generic_agg() {
local m=$1
shift 1
sleep 10
python -m rscvp.statistic.$m \
-D 210315,210401,210402,210409,210402,210407,210409,210416,210604,210610,210514,210519,211202,211209,211203,211208,211202,211208,221018,221019 \
-A YW006,YW006,YW006,YW006,YW008,YW008,YW008,YW008,YW010,YW010,YW... |
a6802d267a6c758e58c95b34590c3e2c560e54dafd590b9379fc68298c8db604 | Shell | 1,160 | 37 | #!/bin/bash -l
#SBATCH -J batch_export_optimized_EIANN_cifar10_extended
#SBATCH -o /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_cifar10_extended.%j.o
#SBATCH -e /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_cifar10_extended.%j.e
#SBATCH -p normal
#SBATCH -N 1
#SBATCH -n 18
#SBATCH... |
2dc5ef883c66f1435668a2df7c6e8b9808592cf1bba09ac2bf76c220f0c416ff | Shell | 1,162 | 33 | #!/bin/bash
set -e
set -o pipefail
set -u
BASE=/scratch/users/surag/retina/
RUNNAME=20220202_bpnet
JOBSCRIPT=/home/users/surag/kundajelab/retina-models/jobscripts/jobscript.sh
# make a copy of code run
mkdir -p $BASE/models/$RUNNAME/fold2/logs
mkdir -p $BASE/models/$RUNNAME/fold2/saved
cp -r /home/users/surag/kund... |
b787ea66f20741e143e92098ad4aa3ea1608b240e3e2e07f28824175359c408c | Shell | 1,163 | 45 | #! /bin/bash
#SBATCH --job-name=SHUFF_mat
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --mem=10G
#SBATCH --time=24:00:00
#SBATCH --cpus-per-task=4
#SBATCH --output=slurm-%j.out
#SBATCH --account=torch_pr_467_general
# load matlab
module load matlab/2025b
#where output will be pla ed
savedir=/scratch/dh148/dynamics/r... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.